Tasks

Get Task

GET/v1/tasks/{taskId}
GET
/v1/tasks/{taskId}

Get task details by ID

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Path Parameters

taskIdstring

Responses

200
Successfully fetched task details
{
  "message": "Successfully fetched task details",
  "payload": {
    "task": {
      "taskId": "lP0Zg2keMz",
      "type": "custom",
      "title": "Ask for Review",
      "status": "upcoming",
      "dueDate": "2024-06-17T05:55:38.434Z",
      "taskAssignee": {
        "firstName": "Alice",
        "lastName": "Johnson",
        "email": "alice.johnson@com"
      },
      "note": "Ask for testimonial or case study",
      "priority": "high",
      "sequence": {
        "id": "s9Ik876",
        "name": "Onboarding Series",
        "stepId": "AYzMQl78zk",
        "stepNumber": 1,
        "prospectOutcome": "interested"
      }
    }
  }
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/tasks/{taskId}" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

No response body